Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:        lightweight PDF document viewer
Name:      	epdfview
Version:   	0.1.6
Release:   	4
Provides:	%{name}
License: 	GNU/GPL
URL:	  	http://www.emma-soft.com/projects/epdfview/	
Group:     	Graphics
Source0: 	%{name}-%{version}.tar.bz2
# fix compilation with gcc 4.3
Patch0:		epdfview-gcc43.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  atk-devel
BuildRequires:  openssl-devel
BuildRequires:  gdk-pixbuf-devel

#Automatically resolved build dependencies
BuildRequires: cairo-devel
BuildRequires: cups
BuildRequires: e2fsprogs-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glib
BuildRequires: glibc-devel
BuildRequires: gnutls-devel
BuildRequires: gtk2+-devel
BuildRequires: krb5-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libstdc++-devel
BuildRequires: libtasn1-devel
BuildRequires: pango-devel
BuildRequires: poppler-glib-devel
BuildRequires: zlib-devel

%description

ePDFView is a free lightweight PDF document viewer using Poppler and GTK+ libraries. 
 The aim of ePDFView is to make a simple PDF document viewer, in the lines of Evince but without using the Gnome libraries.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./configure 	--prefix=%_prefix \
	 	--localstatedir=/var/lib \
                --sysconfdir=%_sysconfdir
make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_datadir/applications
%_datadir/locale
%_datadir/epdfview


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Dec 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.1.6-4
- rebuilt against poppler 0.10
* Thu May 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.1.6-3
- rebuilt against gnutls 2.2.2
* Sat Apr 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.1.6-2
- rebuilt against poppler 0.8.0
* Thu Oct 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.1.6-1
- Version update
* Wed Jul 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.1.5-1
- Initial Release
